Skip to main content
GET
/
api
/
user
/
history
/
{id}
/
composition
Per-dialog context-composition breakdown for the InfoCard 10×10 grid.
curl --request GET \
  --url https://pria.praxislxp.com/api/user/history/{id}/composition \
  --header 'x-access-token: <api-key>'
import requests

url = "https://pria.praxislxp.com/api/user/history/{id}/composition"

headers = {"x-access-token": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};

fetch('https://pria.praxislxp.com/api/user/history/{id}/composition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "composition": {
    "dialog": "<string>",
    "user": "<string>",
    "institution": "<string>",
    "conversationModel": "us.anthropic.claude-sonnet-4-6",
    "provider": "bedrock",
    "tokenizer": "estimate",
    "input": {
      "totalTokens": 123,
      "cacheBreakpointAfterCategory": "assistant",
      "sections": [
        {
          "label": "<string>",
          "tokens": 123,
          "stable": true
        }
      ]
    },
    "output": {
      "totalTokens": 123,
      "partial": true,
      "sections": [
        {
          "label": "<string>",
          "tokens": 123
        }
      ]
    },
    "computeDurationMs": 123,
    "schemaVersion": 1,
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-access-token
string
header
required

JWT token passed in x-access-token header

Path Parameters

id
string
required

The History row's _id.

Pattern: ^[a-f0-9]{24}$

Response

Composition breakdown.

success
boolean
composition
object